from django import forms

from crispy_forms.helper import FormHelper
from crispy_forms.layout import Submit

from webapp.models import Post


class PostForm(forms.ModelForm):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.helper = FormHelper()
        self.helper.form_method = 'post'

        self.helper.add_input(Submit('submit', 'Submit'))

    class Meta:
        model = Post
        exclude = ['create']
        widgets = {
            'is_active': forms.CheckboxInput()
        }


class SearchForm(forms.Form):
    q = forms.CharField(max_length=30, required=False, label="Search")
